##############################
#                            #
# Ansible / Tower managed on #
#                            #
##############################

[Unit]
Description=Prometheus Server
Documentation=https://prometheus.io/docs/introduction/overview/
Wants=network-online.target
After=network-online.target

[Service]
User={{ install_prometheus.system_user }}
Group={{ install_prometheus.system_group }}
Type=simple
ExecStart=/bin/sh -c '/usr/bin/prometheus \
    --config.file {{ install_prometheus.config_path }}/prometheus.yml \
    --storage.tsdb.path /var/lib/prometheus/ \
    --web.console.templates={{ install_prometheus.config_path }}/consoles \
    --web.console.libraries={{ install_prometheus.config_path }}/console_libraries \
    --web.listen-address="{{ install_prometheus.bind }}:{{ install_prometheus.port }}" \
    --storage.tsdb.retention.time={{ install_prometheus.retention_time }} \
    --web.config.file={{ install_prometheus.config_path }}/web-config.yml \
    --log.level={{ install_prometheus.loglevel }} \
    > {{ install_prometheus.log_path }}/prometheus.log 2>&1'

Restart=always

[Install]
WantedBy=multi-user.target